> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Genes Pathways

> Retrieve pathways from genes.

Set verbose = true to retrieve full info on the pathways and genes.

At least one of these fields is required: gene_id, hgnc_id, gene_name, alias.

Example: gene_id = ENSG00000183840,

hgnc_id = HGNC:4496,

gene_name = GPR39,

alias = ZnR.

The limit parameter controls the page size and can not exceed 500.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /genes/pathways
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /genes/pathways:
    get:
      summary: Genes Pathways
      description: >-
        Retrieve pathways from genes.


        Set verbose = true to retrieve full info on the pathways and genes.


        At least one of these fields is required: gene_id, hgnc_id, gene_name,
        alias.


        Example: gene_id = ENSG00000183840,


        hgnc_id = HGNC:4496,


        gene_name = GPR39,


        alias = ZnR.


        The limit parameter controls the page size and can not exceed 500.


        Pagination is 0-based.
      operationId: pathwaysFromGenes
      parameters:
        - name: gene_id
          in: query
          required: false
          schema:
            type: string
        - name: hgnc_id
          in: query
          required: false
          schema:
            type: string
        - name: gene_name
          in: query
          required: false
          schema:
            type: string
        - name: alias
          in: query
          required: false
          schema:
            type: string
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Homo sapiens
            default: Homo sapiens
        - name: verbose
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    source:
                      type: string
                    source_url:
                      type: string
                    orgnism:
                      type: string
                    gene:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            _id:
                              type: string
                            chr:
                              type: string
                            start:
                              type: number
                              nullable: true
                            end:
                              type: number
                              nullable: true
                            gene_type:
                              type: string
                              nullable: true
                            name:
                              type: string
                            strand:
                              type: string
                              nullable: true
                            hgnc:
                              type: string
                              nullable: true
                            entrez:
                              type: string
                              nullable: true
                            collections:
                              type: array
                              items:
                                type: string
                              nullable: true
                            study_sets:
                              type: array
                              items:
                                type: string
                              nullable: true
                            source:
                              type: string
                            version:
                              type: string
                            source_url:
                              type: string
                            synonyms:
                              type: array
                              items:
                                type: string
                              nullable: true
                          required:
                            - _id
                            - chr
                            - start
                            - end
                            - gene_type
                            - name
                            - source
                            - version
                            - source_url
                          additionalProperties: false
                    pathway:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            _id:
                              type: string
                            name:
                              type: string
                            organism:
                              type: string
                            source:
                              type: string
                            source_url:
                              type: string
                            id_version:
                              type: string
                            is_in_disease:
                              type: boolean
                            name_aliases:
                              type: array
                              items:
                                type: string
                            is_top_level_pathway:
                              type: boolean
                            disease_ontology_terms:
                              type: array
                              items:
                                type: string
                              nullable: true
                            go_biological_process:
                              type: string
                              nullable: true
                          required:
                            - _id
                            - name
                            - organism
                            - source
                            - source_url
                            - id_version
                            - is_in_disease
                            - name_aliases
                            - is_top_level_pathway
                            - disease_ontology_terms
                            - go_biological_process
                          additionalProperties: false
                    name:
                      type: string
                  required:
                    - name
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````